---
search:
  tags:
    - Smart Listings V2
    - PATCH
seo:
  description: >-
    Bulk-patches smart listings by id. Successful… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/smart-listings endpoint in the Management API
    v2.
sidebar:
  label: Update smart listings
  badge: PATCH
title: Update smart listings
type: openapi-operation
---
Bulk-patches smart listings by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/smart-listings`

**Request body** (`application/json`, required)

- `smart_listings` (PatchSmartListingItem[], required)

Request body example:

```json
{
  "smart_listings": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "rules": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "target": "stock",
          "target_id": "d3bcdc92-4191-401b-ad0c-42056c6efab9",
          "operator": "less-than",
          "value_string": "string",
          "value_list": [
            "string"
          ],
          "value_float": 0
        }
      ]
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "rules": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "target": "stock",
          "target_id": "d3bcdc92-4191-401b-ad0c-42056c6efab9",
          "operator": "less-than",
          "value_string": "string",
          "value_list": [
            "string"
          ],
          "value_float": 0
        }
      ]
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
